sayren Docs
상점 설정

상점 정보 조회

GET
/v1/store

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/store' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "storeId": "string",    "name": "string",    "storeCode": "string",    "storefrontUrl": "http://example.com",    "status": "ACTIVE",    "logoUrl": "http://example.com",    "businessNumber": "string",    "customerCenterPhone": "string",    "businessName": null,    "representativeName": null,    "mailOrderSalesNumber": null,    "businessAddress": null,    "customerCenterEmail": null,    "privacyOfficerName": null,    "privacyOfficerEmail": null,    "analyticsAllowedOrigins": [      "string"    ],    "storefrontOrigins": [      "string"    ],    "guestCheckoutEnabled": true,    "testOrderReviewsAllowed": false,    "autoDeliverDays": 0,    "autoConfirmDays": 0,    "refundPolicy": {      "preShipmentDeliveryFeeRefund": true,      "returnDeliveryFee": 0,      "exchangeDeliveryFee": 0,      "sellerFaultFreeShipping": true,      "conditionalFreeShortfallCharge": true,      "couponShortfallCharge": true    },    "shippingPolicy": {      "baseDeliveryFee": 0,      "freeThreshold": 1,      "jejuSurcharge": 0,      "isolatedSurcharge": 0    },    "termsVersion": "string",    "privacyVersion": "string",    "termsVersionUpdatedAt": "string",    "privacyVersionUpdatedAt": "string",    "termsUrl": "string",    "privacyUrl": "string",    "memberCount": 0,    "createdAt": "string"  },  "error": null}